LINUX.ORG.RU

Среда разработки Lazarus 1.0.4

 , , , ,


0

1

3 декабря 2012 г. команда разработчиков Lazarus Team представила очередную версию среды разработки программного обеспечения для компилятора FreePascal — Lazarus 1.0.4 (список изменений).

Среди изменений и исправлений ошибок:
1. Debugger - исправлено падение программы при использовании Inspect-Dialog в случае «вложенных» обновлений; исправлено появление «Range check error»; отключена функция «run to cursor» когда Debugger остановлен; исправлен «бесконечный цикл» при вычислении значений в окошке watch.
2. IDE (Редактор кода) - теперь выделенный текст используется в качестве критерия поиска по умолчанию только если курсор внутри выделения или наведён на него; исправлена ошибка падения программы при закрытии последней вкладки по Ctrl+F4 в случае когда было активно автозаполнение.
3. SynEdit - исправлена ошибка чувствитеьности к региству при поиске/замене регулярных выражений; исправлена ошибка невозможности копировать/вставлять текст с помощью средней кнопки выши когда SynEdit находится в режиме read-only;
и многие другие, включая исправления ошибок элементов, связанных с библиотеками GTK2, Qt, LCL

Минимальные системные требования:

Minimum requirements:
Windows:       98, 2k, XP, Vista, 7, 32 or 64-bit
FreeBSD/Linux: gtk 2.8 or qt4.5, 32 or 64-bit
Mac OS X:      10.5, LCL only 32-bit, non LCL apps can be 64-bit

Как и предыдущая версия Lazarus 1.0.2, бинарная сборка содержит fpc-2.6.0.

Помимо основной страницы загрузки на sourceforge доступна загрузка с svn, а также зеркала (1, 2, 3) для тех, у кого заблокирован доступ к sourceforge.

>>> Подробности

★★★★★

Проверено: tazhate ()

у кого заблокирован доступ к sourceforge

правительство рф решило, что оно губит молодые умы?

proofit404 ()

В принципе можно и обновиться, но не понятно, что это за мифическая версия fpc-2.6.0-2.fc17.x86_64.rpm в то время как fpc-2.6.0.source.tar.gz качаются максимум в такой версии. Не понятно, что у них с совместимостью.

Napilnik ★★★★★ ()

Зачем гонка версий 1.0.х? Все серъезные баги и фичи всеровно перекочевали в 1.2 судя по роадмапу

zamtmn ()
Ответ на: комментарий от zamtmn

Зачем гонка версий 1.0.х?

Затем, что людям нужно сейчас работать, и чем оно стабильнее, тем лучше. Функционал там и сейчас уже пристойный.

Все серъезные баги и фичи всеровно перекочевали в 1.2 судя по роадмапу

Во-первых, 1.2 пока не существует, а существует 1.1.x, во-вторых, ошибки будут править одновременно в 1.1 и 1.0 (если это возможно), в-третьих, нужно по-русски правильно писать.

Vudod ★★★★★ ()
Ответ на: комментарий от Napilnik

но не понятно, что это за мифическая версия fpc-2.6.0-2.fc17.x86_64.rpm

Это какая-то адаптированная версия. Если качать версию с fpc, с нею почему-то не ставится по зависимостям, хотя если заставить, то программы линкуются. По крайней мере, так в deb, rpm в Мандриве и Магии 2 у меня не встаёт, а Федоры у меня нет, Сусю я удалил за клинический идиотизм.

Vudod ★★★★★ ()

ну что, начнём? А как он по сравнению с lisp ? Высока ли производительность? Удобен ли синтаксис? Какие модные плюшки в языке есть? :) // не, не надо на этот пост отвечать.

Bad_ptr ★★★ ()
Ответ на: комментарий от Vudod

ИМХО лучше сидеть на свн версии, чем обновлять «стабильные» каждые 2 недели

zamtmn ()

круто, а есть ли репо для бубунты с последней версией? а то в lazarus-testing лежит 0.9.30 почему-то.

BMX ★★☆ ()
Ответ на: комментарий от BMX

а из deb-пакетов не ставится (это для x86_64) ?

P.S. fpc-src для каких-то целей тоже понадобится, он оттуда какую-то библиотеку при запуске попросит (так было в версии 1.0.2, но у меня gentoo).

grem ★★★★★ ()
Ответ на: комментарий от grem

ставится конечно, просто лень каждый раз ручками обновлять :)

BMX ★★☆ ()
Ответ на: комментарий от Vudod

Это какая-то адаптированная версия.

Свинство это адаптированное если раздают без исходников которые можно нормально собрать. Использую патченный fp для версии fpc 2.6.0 а для этой пропатчить промблема - в лазарусном src.rpm исходники разложены по двум каталогам и make all потребует модули которые собираются другим макеалом. В принципе должен подойти редактор и от версии 2.6.0 но постоянно будешь думать про различия.

Napilnik ★★★★★ ()
Ответ на: комментарий от grem

P.S. fpc-src для каких-то целей тоже понадобится, он оттуда какую-то библиотеку при запуске попросит

Лазарус при редактировании шныряет по исходникам модулей и выдаёт подсказки по классам, процедурам, переменным. Кликаешь по имени, или пишешь что-то типа tform1. и ждёшь, через время оно менят цвет а потом появляется сообщение.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Просто пока ebuild в gentoo portage отсутствует (да, я не умею их писать) и я временно использую бинарные сборки. Вполне работает после распаковки бинарника в локальную лиректорию и указания ему пути к распакованному туда же fpc-src (что-то вроде /home/user/opt), сам fpc-2.6.0 установлен из portage.

grem ★★★★★ ()
Ответ на: комментарий от proofit404

Из-за sourceforge Российские предприниматели терпят убытки. Ведь ты не купишь проприетарную версию в Российских магазинах, а скачаешь свободный аналог, чем принесешь убыток.

ivanlex ★★★★ ()
Ответ на: комментарий от ivanlex

предприниматели терпят убытки

улыбочку добавляй, а то подумают что плАгино-зависимый =)

Atlant ★★★★★ ()
Ответ на: комментарий от Atlant

Эх, если бы можно было на самом деле улыбнуться. Недавно по радио слушал, что Российские предприниматели пытаются протолкнуть закон о запрете заказывать товары из-за границы. А то видите ли они терпят убытки из-за того, что я купил телефон в Китае за $150, а не у них за $550. А ведь они могут его протолкнуть. И что тогда делать?!

ivanlex ★★★★ ()

Добавьте краткий обзор изменений в новость

maxcom ★★★★★ ()
Ответ на: комментарий от proofit404

правительство рф решило, что оно губит молодые умы?

Правительство РФ здесь ни при чём - доступ к SourgeForge и GoogleCode был запрещён в 2010 году госорганами США таким странам как Куба, Иран, Сирия, Ливия, Судан и Северная Корея. (источник)

grem ★★★★★ ()
Ответ на: комментарий от grem

Он оно чё. Ну да, ихние комиты вредят кровавому интерпрайсу.

proofit404 ()
Ответ на: комментарий от grem

У Северной Кореи на этот случай есть представительства в разных странах которые серфят интернет и закачивают в свою сеть нужные данные.

Napilnik ★★★★★ ()
Ответ на: комментарий от zamtmn

ИМХО лучше сидеть на свн версии, чем обновлять «стабильные» каждые 2 недели

Ну это вы загибаете:

  • 1.0 --- 29 августа 2012,
  • 1.0.2 --- 10 октября 2012, т.е. через 42 дня (6 недель),
  • 1.0.4 --- 3 декабря 2012, т.е. через 54 дня (7 недель и 5 дней).

Кстати, 29 августа --- дата очень правильная, т.к. в учебные заведения удалось поставить новую версию. А именно там потребность в Лазарусе как нигде велика.

Vudod ★★★★★ ()
Последнее исправление: Vudod (всего исправлений: 1)

Вышло ненужное для разработки ненужного на ненужном с использованием ненужного.

Shaman007 ★★★★★ ()

Оно с треминалами умеет работать?

click_me ()

ошибка чувствитеьности к региству

региству

Эт как ты умудрился на 3 клавиши промахнуться?

anonymous ()
Ответ на: комментарий от proofit404

Может что-то из-за наркотиков? C sourceforge раздавалась, например, dopewars - за пропаганду сгодилась бы!

bastardfromhell ()
Ответ на: комментарий от Shaman007

Вышло ненужное для разработки ненужного на ненужном с использованием ненужного.

Даже не знаю, что и сказать. После этого все тролли самозатроллятся, наверное.

Vudod ★★★★★ ()

Может поможете советом - есть что то вроде Lazarus, но только для С/С++ (кроме Kdevelop)

mul4 ★★★★★ ()

Список опечаток в тексте новости

исправлена ошибка чувствитеьности к региству
с помощью средней кнопки выши

Cypher ()
Последнее исправление: Cypher (всего исправлений: 2)
Ответ на: комментарий от bastardfromhell

Ну это уже совсем «из мухи слона.» Докапались до кодеров, блин.

proofit404 ()
Ответ на: комментарий от proofit404

Докапались до кодеров

Докапались

facepalm.txt

anonymous ()
Ответ на: комментарий от proofit404

У меня сырцфорж нормально виден. А что, у кого-то заблокирован?

hobbit ★★★★★ ()
Ответ на: комментарий от Napilnik

Головой подумай, ага? Цифра после даша, это версия пакета, изменения смотреть в секции %changelog.

anonymous ()
Ответ на: комментарий от anonymous

Господа, вчера оставлял сообщение Шиману007, передали?

anonymous ()

Отличная вещь for fun&freedom.

record ★★★★ ()
Ответ на: комментарий от Napilnik

мифическая версия fpc-2.6.0-2.fc17.x86_64.rpm

2.6.0 - это версия. Определяет собственно версию

2 - это RPM release, то бишь билд конкретно этой RPM-ки, как правило связан с наложением некоторых достаточно компактных патчей с целью адаптировать софтину под дистрибутив, то есть повлиять на процесс сборки, инсталяции, расположение файлов, наборы опций configure, флаги компилятора и т.п.

Не понятно

Может быть либо понятно, либо непонятно. man русский_язык

что у них с совместимостью.

Совместимость 2.6.0 и 2.6.0-2 ?? См.выше

no-dashi ★★★★★ ()
Последнее исправление: no-dashi (всего исправлений: 1)
Ответ на: комментарий от Shaman007

+100500

Кто бы еще такую мудрую мысль высказал, как не модератор?

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от no-dashi

Совместимость 2.6.0 и 2.6.0-2 ?? См.выше

А выше о совместимости версий ничего не сказано. Ты же не понял зачем она нужна. К счастью из федоровской репы (!) удалось вытащить fpc-2.6.0-2.fc17.src.rpm и стало возможно пересобрать софтину собранную из пропатченных fpc-2.6.0 исходников, но судя по исходникам, они и так совместимы.

Napilnik ★★★★★ ()
Последнее исправление: Napilnik (всего исправлений: 1)
Ответ на: комментарий от Shaman007

Тем не менее вполне годно и тьюринг-полно для начального ознакомления с принципами ООП.

Okitain ()
Ответ на: комментарий от Shaman007

Вышло ненужное для разработки ненужного на ненужном с использованием ненужного.

- прокоментировало ненужное, наивно полагающее, что оно не ненужное.

anonymous ()
Ответ на: комментарий от sT331h0rs3

Еще бы почитать на православном, было бы замечательно (а то методом научного тыка не очень)

mul4 ★★★★★ ()
Ответ на: комментарий от mul4

Боюсь, что на русском в силу нераспространённости среды документации не найти.
А всякие там NetBeans и Eclipse с модулями С/С++ не подходят?

sT331h0rs3 ★★★★★ ()
Ответ на: комментарий от sT331h0rs3

Может и подходят, но я интересуюсь вот почему: Школа->ученики->понять, наглядно, создание программ. Надеюсь понятно описал что мне надо. Грубо говоря под виндовс при изучении паскаля применяют Делфи, вот я ищу аналог Делфи но для С. Но что бы не очень ресурсоемкий.

mul4 ★★★★★ ()
Ответ на: комментарий от mul4

Школа->ученики->понять, наглядно, создание программ.

Зачем школьникам Си? Дай им схему или ракетку, там и гуй есть и для учебы нагляднее.

gensym ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.